declare class Vector {
    x: number;
    y: number;
    z: number;
    constructor(vec: Vector);
    constructor(x?: number, y?: number, z?: number);
    add(vec: Vector): Vector;
    add(x: number, y: number, z?: number): Vector;
    sub(vec: Vector): Vector;
    sub(x: number, y: number, z?: number): Vector;
    scale(n: number): this;
    lenSqr(): number;
    len(): number;
    normalize(): this;
    dist(vec: Vector): number;
    dist(x: number, y: number, z?: number): number;
    equals(vec: Vector): boolean;
    equals(x: number, y: number, z?: number): boolean;
    dot(vec: Vector): number;
    dot(x: number, y: number, z?: number): number;
    cross(vec: Vector): Vector;
    cross(x: number, y: number, z?: number): Vector;
    lerp(vec: Vector, percent?: number): Vector;
    lerp(x: number, y: number, z?: number, percent?: number): Vector;
    slerp(vec: Vector, percent?: number): Vector;
    slerp(x: number, y: number, z?: number, percent?: number): Vector;
    nlerp(vec: Vector, percent?: number): Vector;
    nlerp(x: number, y: number, z?: number, percent?: number): Vector;
    copy(): Vector;
}
export = Vector;
